Get all FCA Numbers for a Firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/firm/{firm}/fca

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • firm string Required

    The firm.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • fca_number integer

        FCA Number

      • status string

        FCA Number Status, possible values are pending, verified and rejected

      • rejected_reason string

        Reason for rejection

      • actioned_at string

        DateTime FCA Number was verified or rejected

GET /api/v1/firm/{firm}/fca
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/firm/architecto/fca' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "db1adc04-6000-4194-9e8a-93852b7e2a00",
      "fca_number": 123456,
      "status": "verified",
      "rejected_reason": "Reason for rejection",
      "actioned_at": "2026-06-08T16:08:01+01:00"
    }
  ]
}